Package com.microsoft.sqlserver.jdbc

## Class SQLServerXAConnection

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerPooledConnection
  - - com.microsoft.sqlserver.jdbc.SQLServerXAConnection

All Implemented Interfaces:
  `PooledConnection`, `XAConnection`

    public final class SQLServerXAConnection
    extends SQLServerPooledConnection
    implements XAConnection

SQLServerXAConnection provides JDBC connections that can participate in distributed (XA) transactions.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Closes the physical connection that this PooledConnection object represents.
`XAResource` `getXAResource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, addStatementEventListener, getConnection, removeConnectionEventListener, removeStatementEventListener`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerPooledConnection

`addConnectionEventListener, addStatementEventListener, getConnection, removeConnectionEventListener, removeStatementEventListener, toString`

### Method Detail

#### getXAResource

    public XAResource getXAResource()
                             throws SQLException

Specified by:
  `getXAResource` in interface `XAConnection`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Closes the physical connection that this PooledConnection object represents.

Specified by:
  `close` in interface `PooledConnection`
Overrides:
  `close` in class `SQLServerPooledConnection`
Throws:
  `SQLException`